Subject: Re: ZONE_NORMAL memory exhausted by 4000 TCP sockets

From: Eric Dumazet <[email-masked]>
Date: Tue, 07 Nov 2006 06:53:36 +0100

Zhao Xiaoming a écrit :
> On 11/6/06, Eric Dumazet <[email-masked]> wrote:
>> In fact, your kernel has CONFIG_4KSTACKS, kernel thread stacks use 4K 
>> instead
>> of 8K.
>>
>> If you want to increase LOWMEM, (and keep 32bits kernel), you can chose a
>> 2G/2G user/kernel split, instead of the 3G/1G default split.
>> (see config : CONFIG_VMSPLIT_2G)
>>
>> Eric

> Thank you for your advice. I know increase LOMEM could be help, but
> now my concern is why I lose my 500M bytes memory after excluding all
> known memory cost.

Unfortunatly you dont provide very much details.
AFAIK you didnt even gave whcih version of linux you run, which programs you 
run...
You keep answering where you 'lost' your mem, it's quite buging.
Maybe some Oracles on this list will see the light for you, before exchanging 
100 mails with you ?